package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.WarningLevelEnum;

import io.swagger.annotations.ApiModelProperty;

public class WarningNotifyBean  {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    private Long examId;//考试批次id

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考生id")
    private Long examStudentId;//考生id

    @ApiModelProperty(name = "考生姓名")
    private String name;//考生姓名
    
    @ApiModelProperty(name = "考生证件号")
    private String identity;//考生证件号

    @ApiModelProperty(name = "预警内容")
    private String info;//预警内容

    @ApiModelProperty(name = "预警等级")
    private WarningLevelEnum level;//预警等级

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "预警id")
    private Long warningId;//预警id

    @ApiModelProperty(name = "预警备注")
    private String remark;//预警备注

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试记录id")
    private Long examRecordId;//考试记录id
    
    @ApiModelProperty(name = "roomCode")
    private String roomCode;//考试记录id
    
    @ApiModelProperty(name = "时间")
    private Long createTime;

    @ApiModelProperty(name = "未处理/已处理")
    private String approveStatus;

    public String getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public WarningLevelEnum getLevel() {
        return level;
    }

    public void setLevel(WarningLevelEnum level) {
        this.level = level;
    }

    public Long getWarningId() {
        return warningId;
    }

    public void setWarningId(Long warningId) {
        this.warningId = warningId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
